+ selftests-vm-only-run-128tbswitch-with-5-level-paging-v6.patch added to mm-unstable branch

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



The patch titled
     Subject: selftests-vm-only-run-128tbswitch-with-5-level-paging-v6
has been added to the -mm mm-unstable branch.  Its filename is
     selftests-vm-only-run-128tbswitch-with-5-level-paging-v6.patch

This patch will shortly appear at
     https://git.kernel.org/pub/scm/linux/kernel/git/akpm/25-new.git/tree/patches/selftests-vm-only-run-128tbswitch-with-5-level-paging-v6.patch

This patch will later appear in the mm-unstable branch at
    git://git.kernel.org/pub/scm/linux/kernel/git/akpm/mm

Before you just go and hit "reply", please:
   a) Consider who else should be cc'ed
   b) Prefer to cc a suitable mailing list as well
   c) Ideally: find the original patch on the mailing list and do a
      reply-to-all to that, adding suitable additional cc's

*** Remember to use Documentation/process/submit-checklist.rst when testing your code ***

The -mm tree is included into linux-next via the mm-everything
branch at git://git.kernel.org/pub/scm/linux/kernel/git/akpm/mm
and is updated there every 2-3 working days

------------------------------------------------------
From: Adam Sindelar <adam@xxxxxxxxxxxx>
Subject: selftests-vm-only-run-128tbswitch-with-5-level-paging-v6
Date: Fri, 1 Jul 2022 18:30:30 +0200

fix formatting issues, rename "die" to "fail"

Link: https://lkml.kernel.org/r/20220701163030.415735-1-adam@xxxxxxxxxxxx
Signed-off-by: Adam Sindelar <adam@xxxxxxxxxxxx>
Cc: David Vernet <void@xxxxxxxxxxxxx>
Cc: Adam Sindelar <ats@xxxxxx>
Cc: Aneesh Kumar K.V <aneesh.kumar@xxxxxxxxxxxxxxxxxx>
Signed-off-by: Andrew Morton <akpm@xxxxxxxxxxxxxxxxxxxx>
---

 tools/testing/selftests/vm/va_128TBswitch.sh |   52 ++++++++---------
 1 file changed, 26 insertions(+), 26 deletions(-)

--- a/tools/testing/selftests/vm/va_128TBswitch.sh~selftests-vm-only-run-128tbswitch-with-5-level-paging-v6
+++ a/tools/testing/selftests/vm/va_128TBswitch.sh
@@ -13,41 +13,41 @@ exitcode=1
 # Kselftest framework requirement - SKIP code is 4.
 ksft_skip=4
 
-die()
+fail()
 {
-    echo "$1"
-    exit $exitcode
+	echo "$1"
+	exit $exitcode
 }
 
 check_supported_x86_64()
 {
-    local config="/proc/config.gz"
-    [[ -f "${config}" ]] || config="/boot/config-$(uname -r)"
-    [[ -f "${config}" ]] || die "Cannot find kernel config in /proc or /boot"
-
-    # gzip -dcfq automatically handles both compressed and plaintext input.
-    # See man 1 gzip under '-f'.
-    local pg_table_levels=$(gzip -dcfq "${config}" | grep PGTABLE_LEVELS | cut -d'=' -f 2)
-
-    if [[ "${pg_table_levels}" -lt 5 ]]; then
-        echo "$0: PGTABLE_LEVELS=${pg_table_levels}, must be >= 5 to run this test"
-        exit $ksft_skip
-    fi
+	local config="/proc/config.gz"
+	[[ -f "${config}" ]] || config="/boot/config-$(uname -r)"
+	[[ -f "${config}" ]] || fail "Cannot find kernel config in /proc or /boot"
+
+	# gzip -dcfq automatically handles both compressed and plaintext input.
+	# See man 1 gzip under '-f'.
+	local pg_table_levels=$(gzip -dcfq "${config}" | grep PGTABLE_LEVELS | cut -d'=' -f 2)
+
+	if [[ "${pg_table_levels}" -lt 5 ]]; then
+		echo "$0: PGTABLE_LEVELS=${pg_table_levels}, must be >= 5 to run this test"
+		exit $ksft_skip
+	fi
 }
 
 check_test_requirements()
 {
-    # The test supports x86_64 and powerpc64. We currently have no useful
-    # eligibility check for powerpc64, and the test itself will reject other
-    # architectures.
-    case `uname -m` in
-        "x86_64")
-            check_supported_x86_64
-        ;;
-        *)
-            return 0
-        ;;
-    esac
+	# The test supports x86_64 and powerpc64. We currently have no useful
+	# eligibility check for powerpc64, and the test itself will reject other
+	# architectures.
+	case `uname -m` in
+		"x86_64")
+			check_supported_x86_64
+		;;
+		*)
+			return 0
+		;;
+	esac
 }
 
 check_test_requirements
_

Patches currently in -mm which might be from adam@xxxxxxxxxxxx are

selftests-vm-only-run-128tbswitch-with-5-level-paging.patch
selftests-vm-only-run-128tbswitch-with-5-level-paging-v4.patch
selftests-vm-only-run-128tbswitch-with-5-level-paging-v6.patch




[Index of Archives]     [Kernel Archive]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]

  Powered by Linux